﻿@model IEnumerable<HDY_20113_Jinatchapak.Models.Product>

@{
    ViewBag.Title = "Index";
}

<h2>รายการสินค้า</h2>
@*Html.ActionLink("เพิ่ม", "Create")*@
<a href="/Products/Create" class="btn btn-outline-dark float-right" style="margin-bottom:20px;">เพิ่ม</a>
<table class="table table-responsive">
    <thead class="thead-dark">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.category.CategoryName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ProductName)
            </th>

            <th>
                @Html.DisplayNameFor(model => model.UnitPrice)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.UnitInStock)
            </th>


            <th></th>
        </tr>
    </thead>

    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.category.CategoryName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.ProductName)
                </td>

                <td>
                    @Html.DisplayFor(modelItem => item.UnitPrice)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.UnitInStock)
                </td>

                <td>

                    <a href="/Products/Edit/@item.ProductId" class="btn btn-outline-warning">แก้ไข</a>
                    <a href="/Products/Details/@item.ProductId" class="btn btn-outline-info">รายละเอียด</a>
                    <a href="/Products/Delete/@item.ProductId" class="btn btn-outline-danger">ลบ</a>
                    <a href="/Images/Index/@item.ProductId" class="btn btn-outline-secondary">รูปภาพ</a>

                    @*Html.ActionLink("เพิ่ม", "Edit",  , htmlAttributes: new { @class = "btn btn-outline-dark", id = item.CategoryId })*@
                    @*Html.ActionLink("รายละเอียด", "Details", new { @class = "btn btn-outline-info", id = item.CategoryId })*@
                    @*Html.ActionLink("ลบ", "Delete", new { @class = "btn btn-outline-danger", id = item.CategoryId })*@
                </td>
            </tr>
        }

    </tbody>
</table>
